TopScheduleElement (TreeSched API)
Keywords: org.treesched.ant.TopScheduleElement class

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.treesched.ant
Class TopScheduleElement

    java.lang.Object
      org.treesched.ant.TopScheduleElement

All Implemented Interfaces:
  org.apache.tools.ant.DynamicConfigurator, Schedule

public class TopScheduleElement
extends java.lang.Object
implements org.apache.tools.ant.DynamicConfigurator, Schedule

The class is the represents the top element of a schedule in an Ant build file.

Constructor Summary
`TopScheduleElement()`

Method Summary
`java.lang.Object` | `createDynamicElement(java.lang.String name)`
`Interval` | `nextDue(java.util.Date now)` For a given date a schedule will provide the interval this schedule should next be scheduled in.
`void` | `reset()` Reset the schedule.
`void` | `setDynamicAttribute(java.lang.String name, java.lang.String value)`
`void` | `setLimits(Interval limits)` Specifies limits for the schedule.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TopScheduleElement

    public TopScheduleElement()

Method Detail

### setLimits

    public void setLimits(Interval limits)

  Description copied from interface: `Schedule`
  Specifies limits for the schedule. If they are set then the start of the interval return by `Schedule.nextDue(Date)` must be within the limits.

  A repeating schedule will also use the start of the limit to calculate the boundry between intervals.

  Specified by:
    `setLimits` in interface `Schedule`
  Parameters:
    `limits` - The interval which bounds the schedule.

### nextDue

    public Interval nextDue(java.util.Date now)

  Description copied from interface: `Schedule`
  For a given date a schedule will provide the interval this schedule should next be scheduled in.

  If the schedule is never due again for the given date, null is returned.

  Specified by:
    `nextDue` in interface `Schedule`
  Parameters:
    `now` - The date now.
  Returns:
    The next due interval for the schedule.

### reset

    public void reset()

  Description copied from interface: `Schedule`
  Reset the schedule. This allows schedules which contain state, such as count to be reset.

  Specified by:
    `reset` in interface `Schedule`

### setDynamicAttribute

    public void setDynamicAttribute(java.lang.String name,
                                    java.lang.String value)
                             throws org.apache.tools.ant.BuildException

  Specified by:
    `setDynamicAttribute` in interface `org.apache.tools.ant.DynamicConfigurator`
  Throws:
    `org.apache.tools.ant.BuildException`

### createDynamicElement

    public java.lang.Object createDynamicElement(java.lang.String name)
                                          throws org.apache.tools.ant.BuildException

  Specified by:
    `createDynamicElement` in interface `org.apache.tools.ant.DynamicConfigurator`
  Throws:
    `org.apache.tools.ant.BuildException`

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD